<?php

/**
 * Title: Micro Job Engine extension
 * Description:
 * Copyright: 2020-2021 Knit Pay
 * Company: Knit Pay
 *
 * @author  knitpay
 * @since   4.7.0
 */

namespace KnitPay\Extensions\MicroJobEngine;

use Pronamic\WordPress\Pay\Dependencies\Dependency;

class MicroJobEngineDependency extends Dependency {
	/**
	 * Is met.
	 *
	 * @return bool True if dependency is met, false otherwise.
	 */
	public function is_met() {
		$active_theme = get_option( 'stylesheet' );
		return ( ( 'microjobengine' === $active_theme || 'microjobengine-child' === $active_theme )
		&& \defined( 'KNIT_PAY_MICRO_JOB_ENGINE' )
		&& \defined( 'KNIT_PAY_ENGINE_THEMES' ) );
	}
}
